from __future__ import annotations
from flask_restful import Resource
from flask import current_app as app
from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from modules.Archive.database import Database

class AccountStats(Resource):
    def get(self):
        db : Database = app.databases["Archive"]
        result = db.get_account_stats()
        return db.wrap_query_response(result)